# QAugmentedRealityCamera Class Reference

Inheritance diagram for QAugmentedRealityCamera:

List of all members.

## Public Slots

void | captureImage ()
void | imageAvailable (int, QVideoFrame)

## Signals

void | modelChanged ()
void | delegateChanged (QDeclarativeComponent *delegate)

## Public Member Functions

| QAugmentedRealityCamera (QDeclarativeItem *parent=0)
void | setModel (QAugmentedRealityCameraModel *model)
QAugmentedRealityCameraModel * | getModel () const
int | distance ()
void | setDistance (int value)
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)

## Properties

QAugmentedRealityCameraModel | model
int | distance

## Member Function Documentation

int QAugmentedRealityCamera::distance | ( |  | ) |

filtering distance in meters

void QAugmentedRealityCamera::setDistance | ( | int | value | ) |

set filtering distance in meters

The documentation for this class was generated from the following file:

- qaugmentedrealitycamera.h

All Classes Functions